View Issue Details

IDProjectCategoryView StatusLast Update
0003578CentOS-5yumpublic2015-11-12 22:29
Reporterjgmora 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
Product Version5.2 
Target VersionFixed in Version 
Summary0003578: yum-security doesn't recognize when updates are released
Descriptionyum-security appears to be broken; does not recognize when security updates are released, making it effectively useless.
Additional InformationPer toracat, on the CentOS forums:

Re: yum-security plugin status (2008/7/7) --
"The current status is that yum-security is still not working. You might have guessed it from the fact this is not listed in the "Resolved Issues" in the 5.2 Release Notes. Here are some words from a CentOS dev: "yes, the plan is to support it sometime in the future. exactly when is open to situational issues". CentOS devs are doing their best but with so many things going on, this particular one is probably not getting a high priority, I'm afraid."

To reproduce:

# yum --advisory=CESA-2009:0427 check-update
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
Limiting package lists to security relevant ones
Advisory "CESA-2009:0427" not found applicable for this system
No packages needed, for security

# rpm -qi udev | grep Release
Release : 14.16.el5 Build Date: Sun 25 May 2008 02:08:31 AM CDT
# rpm -qi libvolume_id | grep Release
Release : 14.16.el5 Build Date: Sun 25 May 2008 02:08:31 AM CDT

# yum --cve=CVE-2009-1185 check-update
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
Limiting package lists to security relevant ones
CVE "CVE-2009-1185" not found applicable for this system
No packages needed, for security

# yum info-sec CESA-2009:0427
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
Argument "CESA-2009:0427" not found applicable for this system
info-sec done

# cat /etc/redhat-release
CentOS release 5.2 (Final)
TagsNo tags attached.

Activities

kbsingh@karan.org

kbsingh@karan.org

2009-04-26 14:36

administrator   ~0009256

we dont support yum security in any of the centos repos at the moment

Issue History

Date Modified Username Field Change
2009-04-22 14:25 jgmora New Issue
2009-04-26 14:36 kbsingh@karan.org Note Added: 0009256
2009-04-26 14:36 kbsingh@karan.org Status new => closed
2009-04-26 14:36 kbsingh@karan.org Resolution open => won't fix